Skip to content

Create Deployment

POST
/deployments
curl --request POST \
--url https://api.mengi.cloud/deployments \
--header 'Content-Type: application/json' \
--data '{ "cluster_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "app_type": "web_app", "config": {}, "cpu_request": 0.5, "memory_request_mb": 512, "replicas": 1, "container_port": 8080, "environment_variables": [ { "name": "example", "value": "example", "secret_ref": "example" } ], "storage_size_gb": 1, "volumes": [ { "path": "example", "sizeGb": 10, "purpose": "example" } ], "run_as_uid": 1, "docker_image": "example", "deployment_type": "docker", "helm_repo_url": "example", "helm_chart_name": "example", "helm_chart_version": "example", "custom_values_yaml": "example" }'
Media type application/json
DeploymentCreate
object
cluster_id
required
Cluster Id
string format: uuid
name
required
Name
string
app_type
AppType
string
default: helm
Allowed values: web_app api database static_site container helm
config
Any of:
object
key
additional properties
any
cpu_request
Any of:
number
memory_request_mb
Any of:
integer
replicas
Any of:
integer
container_port
Any of:
integer
environment_variables
Any of:
Array<object>
EnvironmentVariable

Environment variable configuration.

object
name
required
Name
string
value
Any of:
string
secret_ref
Any of:
string
storage_size_gb
Any of:
integer
volumes
Any of:
Array<object>
VolumeConfig

Volume configuration for persistent storage.

object
path
required
Path
string
sizeGb
Sizegb
integer
default: 10
purpose
Any of:
string
run_as_uid
Any of:
integer
docker_image
Any of:
string
deployment_type
Deployment Type
string
default: docker
helm_repo_url
Any of:
string
helm_chart_name
Any of:
string
helm_chart_version
Any of:
string
custom_values_yaml
Any of:
string

Successful Response

Media type application/json
DeploymentResponse
object
id
required
Id
string format: uuid
user_id
required
User Id
string format: uuid
cluster_id
required
Cluster Id
string format: uuid
name
required
Name
string
app_type
required
AppType
string
Allowed values: web_app api database static_site container helm
status
required
DeploymentStatus
string
Allowed values: pending provisioning promoting running stopped failed error migrating deleting
config
Any of:
object
key
additional properties
any
values_yaml
Any of:
string
git_path
Any of:
string
endpoint_url
Any of:
string
error_message
Any of:
string
cpu_request
Any of:
number
memory_request_mb
Any of:
integer
replicas
Any of:
integer
container_port
Any of:
integer
storage_size_gb
Any of:
integer
deployment_type
Any of:
string
helm_repo_url
Any of:
string
helm_chart_name
Any of:
string
helm_chart_version
Any of:
string
custom_values_yaml
Any of:
string
image_update_strategy
Any of:
string
image_update_constraint
Any of:
string
image_allow_tags
Any of:
string
image_ignore_tags
Any of:
string
is_adopted
Is Adopted
boolean
source_namespace
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
provider
Any of:
string
region
Any of:
string
cluster_status
Any of:
string
cluster_error
Any of:
string
Example
{
"app_type": "web_app",
"status": "pending",
"is_adopted": false
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}